<?php
/**
 *
 * Copyright notice
 *
 * (c) sgalinski Internet Services (https://www.sgalinski.de)
 *
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 *
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This copyright notice MUST APPEAR in all copies of the script!
 */

return call_user_func(
	function ($extKey, $table) {
		$ll = 'LLL:EXT:' . $extKey . '/Resources/Private/Language/locallang_db.xlf:' . $table;
		return [
			'ctrl' => [
				'title' => $ll,
				'label' => 'cn_official_name_en',
				'iconfile' => 'EXT:' . $extKey . '/Resources/Public/Icons/' . $table . '.svg',
				'sortby' => 'sorting',
				'tstamp' => 'tstamp',
				'crdate' => 'crdate',
				'cruser_id' => 'cruser_id',
				'delete' => 'deleted',
				'enablecolumns' => [],
				'searchFields' => 'cn_iso_2, cn_iso_3, cn_iso_nr, cn_parent_territory_uid, cn_parent_tr_iso_nr, 
					cn_official_name_local, cn_official_name_en, cn_capital, cn_tldomain, cn_currency_uid, cn_currency_iso_3,
					cn_currency_iso_nr, cn_phone, cn_eu_member, cn_uno_member, cn_address_format, cn_zone_flag, 
					cn_short_local, cn_short_en, cn_short_de, cn_country_zones',
			],
			'types' => [
				'0' => [
					'showitem' => 'cn_iso_2, cn_iso_3, cn_iso_nr, cn_parent_territory_uid, cn_parent_tr_iso_nr, 
						cn_official_name_local, cn_official_name_en, cn_capital, cn_tldomain, cn_currency_uid, cn_currency_iso_3,
						cn_currency_iso_nr, cn_phone, cn_eu_member, cn_uno_member, cn_address_format, cn_zone_flag, 
						cn_short_local, cn_short_en, cn_short_de, cn_country_zones'
				]
			],
			'palettes' => [
			],
			'interface' => [
				'showRecordFieldList' => 'cn_iso_2, cn_iso_3, cn_iso_nr, cn_parent_territory_uid, cn_parent_tr_iso_nr, 
					cn_official_name_local, cn_official_name_en, cn_capital, cn_tldomain, cn_currency_uid, cn_currency_iso_3,
					cn_currency_iso_nr, cn_phone, cn_eu_member, cn_uno_member, cn_address_format, cn_zone_flag, 
					cn_short_local, cn_short_en, cn_short_de, cn_country_zones'
			],
			'columns' => [
				'cn_iso_2' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_iso_2',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_iso_3' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_iso_3',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_iso_nr' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_iso_nr',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_parent_territory_uid' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_parent_territory_uid',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_parent_tr_iso_nr' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_parent_tr_iso_nr',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_official_name_local' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_official_name_local',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_official_name_en' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_official_name_en',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_capital' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_capital',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_tldomain' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_tldomain',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_currency_uid' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_currency_uid',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_currency_iso_3' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_currency_iso_3',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_currency_iso_nr' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_currency_iso_nr',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_phone' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_phone',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_eu_member' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_eu_member',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_uno_member' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_uno_member',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_address_format' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_address_format',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_zone_flag' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_zone_flag',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_short_local' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_short_local',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_short_en' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_short_en',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_short_de' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_short_de',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				],
				'cn_country_zones' => [
					'exclude' => FALSE,
					'label' => $ll . '.cn_country_zones',
					'config' => [
						'type' => 'input',
						'size' => 30,
						'eval' => 'trim'
					]
				]
			]
		];
	}, 'sg_jobs', 'tx_sgjobs_domain_model_country'
);
